---
title: Window.focus()
slug: Web/API/Window/focus
tags:
  - API
  - Gecko
  - HTML DOM
  - Method
  - Window
---
<p>{{APIRef}}</p>

<p>Makes a request to bring the window to the front. It may fail due to user settings and the window isn't guaranteed to be frontmost before this method returns.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval">window.focus()
</pre>

<h2 id="Example">Example</h2>

<pre class="eval">if (clicked) { window.focus(); }
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','interaction.html#dom-window-focus','Window.focus()')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.focus")}}</p>
